<?php
/* --------------------------------------------------------------
   ShopvoteSpecialsMainThemeContentView.inc.php 2020-03-05
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2019 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

class ShopvoteSpecialsMainThemeContentView extends ShopvoteSpecialsMainThemeContentView_parent
{
    public function prepare_data()
    {
        parent::prepare_data();
        
        if (ShopvoteContentViewHelper::isShopvoteReviewsEnabled() === false) {
            return;
        }
        
        if (isset($this->content_array['module_content']) && is_array($this->content_array['module_content'])) {
            $productsArray = $this->content_array['module_content'];
            $productIDsArray = array_map(static function($el) { return $el['PRODUCTS_ID']; }, $productsArray);
            $shopvoteRatings = ShopvoteContentViewHelper::getAverageRatings($productIDsArray);
            $this->set_content_data('SHOPVOTE_RATINGS', $shopvoteRatings);
        }
    }
}
