<?php
/**
 * module_center_module.shopvote.lang.inc.php 2022-07-13
 *
 * @category  ShopVote
 * @package   shopvote/gambio_gx3
 * @link      https://www.shopvote.de
 *
 * @author    Valentin Fischer @ icue medienproduktion GmbH & Co. KG <contact@icue-medien.de>
 * @copyright ShopVote.de - Dirk Stuwe
 * @license   GPL-3.0
 * @license   https://opensource.org/licenses/GPL-3.0
 *
 * @author    Gambio GmbH
 * @version   2022-07-13
 */

$t_language_text_section_content_array = [
    'button_submit'                              => 'Speichern',
    'SHOPVOTE_API_KEY'                           => 'API-Key',
    'SHOPVOTE_CACHE_CLEAR'                       => 'Cache leeren',
    'SHOPVOTE_CACHE_CLEARED'                     => 'Cache wurde geleert',
    'SHOPVOTE_CACHE_UPDATE_DAYS'                 => 'Bewertungen der letzten x Tage abrufen',
    'SHOPVOTE_CACHE_UPDATE_DAYS_SUBMIT'          => 'Jetzt abrufen',
    'shopvote_configuration_apikey_syntax_error' => 'Der eingegebene API-Key entspricht nicht dem erwarteten Format.',
    'shopvote_configuration_saved'               => 'Konfiguration wurde gespeichert.',
    'shopvote_configuration_shopid_syntax_error' => 'Die eingegebene Shop-ID entspricht nicht dem erwarteten Format.',
    'SHOPVOTE_DESCRIPTION'                       => '<strong>Shopbewertungen, Produktbewertungen und Grafiken - einfach einbinden</strong><br><br>Mit diesem Modul integrieren Sie die besten Funktionen des Bewertungsportals SHOPVOTE ganz einfach in Ihren Shop:<br>• Einholen der rechtlich erforderlichen Einwilligung in den Erhalt einer Bewertungsanfrage<br>• automatische und rechtssichere Bewertungsanfragen für Shopbewertungen und Produktbewertungen<br>• Integration von Bewertungsgrafiken',
    'SHOPVOTE_EASYREVIEWS_ENABLED'               => 'EasyReviews verwenden',
    'SHOPVOTE_HTML_LAB'                          => 'HTML Code für EasyReviews',
    'SHOPVOTE_INFO'                              => '',
    'SHOPVOTE_INFO_LINK'                         => 'Tragen Sie diese URL im ShopVote-Händlerbereich unter dem Menüpunkt "EasyReviews" im Feld "Checkout-URL" ein.',
    'SHOPVOTE_LAST_CACHE_UPDATE'                 => 'Letztes Cache-Update',
    'SHOPVOTE_LAST_UPDATE_NEVER'                 => 'Cache ist leer',
    'SHOPVOTE_NUMBER_OF_REVIEWS_IN_CACHE'        => 'Anzahl Reviews im Cache',
    'SHOPVOTE_PREVIEW'                           => 'Vorschau',
    'SHOPVOTE_PRODUCTREVIEWS_ENABLED'            => 'Produktbewertungen verwenden',
    'SHOPVOTE_REVIEWS_FETCHED'                   => 'Bewertungen wurden abgerufen',
    'SHOPVOTE_SCRIPT_LAB'                        => 'JavaScript Code für EasyReviews',
    'SHOPVOTE_SECRET'                            => 'Secret',
    'SHOPVOTE_SHOP_ID'                           => 'Shop-ID',
    'SHOPVOTE_SLOGAN'                            => 'Produktbewertungen, EasyReviews und RatingStars - einfach einbinden',
    'SHOPVOTE_STARS_SCRIPT_LAB'                  => 'JavaScript Code für Ihr RatingStars-Widget',
    'SHOPVOTE_SUBMIT'                            => 'Speichern',
    'SHOPVOTE_TITLE'                             => 'ShopVote',
    'shopvote_cookieconsent_purpose'             => 'Cookie-Consent-Zweck',
    'shopvote_cookie_consent_dontuse'            => 'Ohne Einwilligung verwenden',
];
